/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLLabelElement_H__
#define __GdomHTMLLabelElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLLabelElement GdomHTMLLabelElement;
typedef struct _GdomHTMLLabelElementClass GdomHTMLLabelElementClass;


#define GDOM_TYPE_HTML_LABEL_ELEMENT            (gdom_html_label_element_get_type())
#define GDOM_HTML_LABEL_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_LABEL_ELEMENT, GdomHTMLLabelElement))
#define GDOM_HTML_LABEL_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_LABEL_ELEMENT, GdomHTMLLabelElement)Class)
#define GDOM_IS_HTML_LABEL_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_LABEL_ELEMENT))
#define GDOM_IS_HTML_LABEL_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_LABEL_ELEMENT))
#define GDOM_HTML_LABEL_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_LABEL_ELEMENT, GdomHTMLLabelElementClass))

typedef struct _GdomHTMLLabelElementPrivate GdomHTMLLabelElementPrivate;

struct _GdomHTMLLabelElement {
    GdomHTMLElement parent_instance;
    GdomHTMLLabelElementPrivate *priv;
};

struct _GdomHTMLLabelElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_label_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLLabelElement_H__ */
